      SUBROUTINE CFIXMOD
C Adapted from FIXMOD (R.S. Simon) for use with BINFIT.
C
C       J.T. Armstrong        30 Dec 1990
C

      INCLUDE 'BINFIT.INC'

      DO IC = 1, NCOMP
          DO IG = 1, NFILT
              IF (PARM(IC,IG,1) .LT. 0.) THEN
                  PARM(IC,IG,1) = -PARM(IC,IG,1)
                  PARM(IC,IG,2) =  PARM(IC,IG,2) + PI
              ENDIF
          END DO
      END DO
C
      RETURN
      END


